function newshape = reflect(shape,d)

% REFLECT   reflect a shape about an axis
% newshape = reflect(shape,d) 
% d = 'x' reflect about x axis
% d = 'y' reflect about y axis

if d=='x'
    R = [1 0 ; 0 -1];            % Reflect about x
else
    R = [-1 0 ; 0 1];            % Reflect about y
end

newshape=R*shape;                           
    