% Example of plotting some spheres
clear variables

% Generate a random number between 0 and 1
r1 = rand(1);
r2 = rand(1);
r3 = rand(1);

% Make it integer between 0 and 500
xoffset = ceil(r1*500);
yoffset = ceil(r2*500);
zoffset = ceil(r3*500);

[x,y,z] = sphere(20);
scaling = 10;
surf(scaling*x-xoffset,scaling*y-yoffset,scaling*z-zoffset)
axis([-500 0 -500 0])
hold on

